#pragma once 

#include <stdint.h>
#include <vfs.h>

uint32_t kbd_read(struct vfs_node* node, uint32_t offset, uint32_t size, uint8_t* buffer);
void kbd_push(char c);
int kbd_ready();
void kbd_wait();